# GstCapsFeatures

GstCapsFeatures can optionally be set on a GstCaps to add requirements for additional features for a specific GstStructure. Caps structures with the same name but with a non-equal set of caps features are not compatible. If a pad supports multiple sets of features it has to add multiple equal structures with different feature sets to the caps.

Empty GstCapsFeatures are equivalent with the GstCapsFeatures that only contain GST_CAPS_FEATURE_MEMORY_SYSTEM_MEMORY. ANY GstCapsFeatures as created by gst_caps_features_new_any are equal to any other GstCapsFeatures and can be used to specify that any GstCapsFeatures would be supported, e.g. for elements that don't touch buffer memory. GstCaps with ANY GstCapsFeatures are considered non-fixed and during negotiation some GstCapsFeatures have to be selected.

Examples for caps features would be the requirement of a specific GstMemory types or the requirement of having a specific GstMeta on the buffer. Features are given as a string of the format `memory:GstMemoryTypeName` or `meta:GstMetaAPIName`.

## GstCapsFeatures

## Gst.CapsFeatures

### Constructors

#### gst_caps_features_new

    GstCapsFeatures *
    gst_caps_features_new (const gchar * feature1,
                           ... ...)

Creates a new GstCapsFeatures with the given features. The last argument must be NULL.

Parameters:

`feature1` –

name of first feature to set

`...` –

additional features

Returns ( [transfer: full]) –

a new, empty GstCapsFeatures

Since : 1.2

#### gst_caps_features_new_any

    GstCapsFeatures *
    gst_caps_features_new_any ()

Creates a new, ANY GstCapsFeatures. This will be equal to any other GstCapsFeatures but caps with these are unfixed.

Returns ( [transfer: full]) –

a new, ANY GstCapsFeatures

Since : 1.2

#### Gst.CapsFeatures.prototype.new_any

    function Gst.CapsFeatures.prototype.new_any(): {
        // javascript wrapper for 'gst_caps_features_new_any'
    }

Creates a new, ANY Gst.CapsFeatures. This will be equal to any other Gst.CapsFeatures but caps with these are unfixed.

Returns (Gst.CapsFeatures) –

a new, ANY Gst.CapsFeatures

Since : 1.2

#### Gst.CapsFeatures.new_any

    def Gst.CapsFeatures.new_any ():
        #python wrapper for 'gst_caps_features_new_any'

Creates a new, ANY Gst.CapsFeatures. This will be equal to any other Gst.CapsFeatures but caps with these are unfixed.

Returns (Gst.CapsFeatures) –

a new, ANY Gst.CapsFeatures

Since : 1.2

#### gst_caps_features_new_empty

    GstCapsFeatures *
    gst_caps_features_new_empty ()

Creates a new, empty GstCapsFeatures.

Returns ( [transfer: full]) –

a new, empty GstCapsFeatures

Since : 1.2

#### Gst.CapsFeatures.prototype.new_empty

    function Gst.CapsFeatures.prototype.new_empty(): {
        // javascript wrapper for 'gst_caps_features_new_empty'
    }

Creates a new, empty Gst.CapsFeatures.

Returns (Gst.CapsFeatures) –

a new, empty Gst.CapsFeatures

Since : 1.2

#### Gst.CapsFeatures.new_empty

    def Gst.CapsFeatures.new_empty ():
        #python wrapper for 'gst_caps_features_new_empty'

Creates a new, empty Gst.CapsFeatures.

Returns (Gst.CapsFeatures) –

a new, empty Gst.CapsFeatures

Since : 1.2

#### gst_caps_features_new_id

    GstCapsFeatures *
    gst_caps_features_new_id (GQuark feature1,
                              ... ...)

Creates a new GstCapsFeatures with the given features. The last argument must be 0.

Parameters:

`feature1` –

name of first feature to set

`...` –

additional features

Returns ( [transfer: full]) –

a new, empty GstCapsFeatures

Since : 1.2

deprecated : 1.26: Use gst_caps_features_new_id_str().

#### gst_caps_features_new_id_str

    GstCapsFeatures *
    gst_caps_features_new_id_str (const GstIdStr * feature1,
                                  ... ...)

Creates a new GstCapsFeatures with the given features. The last argument must be 0.

Parameters:

`feature1` –

name of first feature to set

`...` –

additional features

Returns ( [transfer: full]) –

a new, empty GstCapsFeatures

Since : 1.26

#### gst_caps_features_new_id_str_valist

    GstCapsFeatures *
    gst_caps_features_new_id_str_valist (const GstIdStr * feature1,
                                         va_list varargs)

Creates a new GstCapsFeatures with the given features.

Parameters:

`feature1` –

name of first feature to set

`varargs` –

variable argument list

Returns ( [transfer: full]) –

a new, empty GstCapsFeatures

Since : 1.26

#### gst_caps_features_new_id_valist

    GstCapsFeatures *
    gst_caps_features_new_id_valist (GQuark feature1,
                                     va_list varargs)

Creates a new GstCapsFeatures with the given features.

Parameters:

`feature1` –

name of first feature to set

`varargs` –

variable argument list

Returns ( [transfer: full]) –

a new, empty GstCapsFeatures

Since : 1.2

deprecated : 1.26: Use gst_caps_features_new_id_str_valist().

#### gst_caps_features_new_single

    GstCapsFeatures *
    gst_caps_features_new_single (const gchar * feature)

Creates a new GstCapsFeatures with a single feature.

Parameters:

`feature` –

The feature

Returns ( [transfer: full]) –

a new GstCapsFeatures

Since : 1.20

#### Gst.CapsFeatures.prototype.new_single

    function Gst.CapsFeatures.prototype.new_single(feature: String): {
        // javascript wrapper for 'gst_caps_features_new_single'
    }

Creates a new Gst.CapsFeatures with a single feature.

Parameters:

`feature` (String) –

The feature

Returns (Gst.CapsFeatures) –

a new Gst.CapsFeatures

Since : 1.20

#### Gst.CapsFeatures.new_single

    def Gst.CapsFeatures.new_single (feature):
        #python wrapper for 'gst_caps_features_new_single'

Creates a new Gst.CapsFeatures with a single feature.

Parameters:

`feature` (str) –

The feature

Returns (Gst.CapsFeatures) –

a new Gst.CapsFeatures

Since : 1.20

#### gst_caps_features_new_single_static_str

    GstCapsFeatures *
    gst_caps_features_new_single_static_str (const gchar * feature)

Creates a new GstCapsFeatures with a single feature.

feature needs to be valid for the remaining lifetime of the process, e.g. has to be a static string.

Parameters:

`feature` –

The feature

Returns ( [transfer: full]) –

a new GstCapsFeatures

Since : 1.26

#### Gst.CapsFeatures.prototype.new_single_static_str

    function Gst.CapsFeatures.prototype.new_single_static_str(feature: String): {
        // javascript wrapper for 'gst_caps_features_new_single_static_str'
    }

Creates a new Gst.CapsFeatures with a single feature.

feature needs to be valid for the remaining lifetime of the process, e.g. has to be a static string.

Parameters:

`feature` (String) –

The feature

Returns (Gst.CapsFeatures) –

a new Gst.CapsFeatures

Since : 1.26

#### Gst.CapsFeatures.new_single_static_str

    def Gst.CapsFeatures.new_single_static_str (feature):
        #python wrapper for 'gst_caps_features_new_single_static_str'

Creates a new Gst.CapsFeatures with a single feature.

feature needs to be valid for the remaining lifetime of the process, e.g. has to be a static string.

Parameters:

`feature` (str) –

The feature

Returns (Gst.CapsFeatures) –

a new Gst.CapsFeatures

Since : 1.26

#### gst_caps_features_new_static_str

    GstCapsFeatures *
    gst_caps_features_new_static_str (const gchar * feature1,
                                      ... ...)

Creates a new GstCapsFeatures with the given features. The last argument must be NULL.

feature1 and all other features need to be valid for the remaining lifetime of the process, e.g. have to be a static string.

Parameters:

`feature1` –

name of first feature to set

`...` –

additional features

Returns ( [transfer: full]) –

a new, empty GstCapsFeatures

Since : 1.26

#### gst_caps_features_new_static_str_valist

    GstCapsFeatures *
    gst_caps_features_new_static_str_valist (const gchar * feature1,
                                             va_list varargs)

Creates a new GstCapsFeatures with the given features.

feature1 and all other features need to be valid for the remaining lifetime of the process, e.g. have to be a static string.

Parameters:

`feature1` –

name of first feature to set

`varargs` –

variable argument list

Returns ( [transfer: full]) –

a new, empty GstCapsFeatures

Since : 1.26

#### gst_caps_features_new_valist

    GstCapsFeatures *
    gst_caps_features_new_valist (const gchar * feature1,
                                  va_list varargs)

Creates a new GstCapsFeatures with the given features.

Parameters:

`feature1` –

name of first feature to set

`varargs` –

variable argument list

Returns ( [transfer: full]) –

a new, empty GstCapsFeatures

Since : 1.2

### Methods

#### gst_caps_features_add

    gst_caps_features_add (GstCapsFeatures * features,
                           const gchar * feature)

Adds feature to features.

Parameters:

`features` –

a GstCapsFeatures.

`feature` –

a feature.

Since : 1.2

#### Gst.CapsFeatures.prototype.add

    function Gst.CapsFeatures.prototype.add(feature: String): {
        // javascript wrapper for 'gst_caps_features_add'
    }

Adds feature to features.

Parameters:

`features` (Gst.CapsFeatures) –

a Gst.CapsFeatures.

`feature` (String) –

a feature.

Since : 1.2

#### Gst.CapsFeatures.add

    def Gst.CapsFeatures.add (self, feature):
        #python wrapper for 'gst_caps_features_add'

Adds feature to features.

Parameters:

`features` (Gst.CapsFeatures) –

a Gst.CapsFeatures.

`feature` (str) –

a feature.

Since : 1.2

#### gst_caps_features_add_id

    gst_caps_features_add_id (GstCapsFeatures * features,
                              GQuark feature)

Adds feature to features.

Parameters:

`features` –

a GstCapsFeatures.

`feature` –

a feature.

Since : 1.2

deprecated : 1.26: Use gst_caps_features_add_id_str().

#### Gst.CapsFeatures.prototype.add_id

    function Gst.CapsFeatures.prototype.add_id(feature: GLib.Quark): {
        // javascript wrapper for 'gst_caps_features_add_id'
    }

Adds feature to features.

Parameters:

`features` (Gst.CapsFeatures) –

a Gst.CapsFeatures.

`feature` (GLib.Quark) –

a feature.

Since : 1.2

deprecated : 1.26: Use gst_caps_features_add_id_str().

#### Gst.CapsFeatures.add_id

    def Gst.CapsFeatures.add_id (self, feature):
        #python wrapper for 'gst_caps_features_add_id'

Adds feature to features.

Parameters:

`features` (Gst.CapsFeatures) –

a Gst.CapsFeatures.

`feature` (GLib.Quark) –

a feature.

Since : 1.2

deprecated : 1.26: Use gst_caps_features_add_id_str().

#### gst_caps_features_add_id_str

    gst_caps_features_add_id_str (GstCapsFeatures * features,
                                  const GstIdStr * feature)

Adds feature to features.

Parameters:

`features` –

a GstCapsFeatures.

`feature` –

a feature.

Since : 1.26

#### Gst.CapsFeatures.prototype.add_id_str

    function Gst.CapsFeatures.prototype.add_id_str(feature: Gst.IdStr): {
        // javascript wrapper for 'gst_caps_features_add_id_str'
    }

Adds feature to features.

Parameters:

`features` (Gst.CapsFeatures) –

a Gst.CapsFeatures.

`feature` (Gst.IdStr) –

a feature.

Since : 1.26

#### Gst.CapsFeatures.add_id_str

    def Gst.CapsFeatures.add_id_str (self, feature):
        #python wrapper for 'gst_caps_features_add_id_str'

Adds feature to features.

Parameters:

`features` (Gst.CapsFeatures) –

a Gst.CapsFeatures.

`feature` (Gst.IdStr) –

a feature.

Since : 1.26

#### gst_caps_features_add_static_str

    gst_caps_features_add_static_str (GstCapsFeatures * features,
                                      const gchar * feature)

Adds feature to features.

feature needs to be valid for the remaining lifetime of the process, e.g. has to be a static string.

Parameters:

`features` –

a GstCapsFeatures.

`feature` –

a feature.

Since : 1.26

#### Gst.CapsFeatures.prototype.add_static_str

    function Gst.CapsFeatures.prototype.add_static_str(feature: String): {
        // javascript wrapper for 'gst_caps_features_add_static_str'
    }

Adds feature to features.

feature needs to be valid for the remaining lifetime of the process, e.g. has to be a static string.

Parameters:

`features` (Gst.CapsFeatures) –

a Gst.CapsFeatures.

`feature` (String) –

a feature.

Since : 1.26

#### Gst.CapsFeatures.add_static_str

    def Gst.CapsFeatures.add_static_str (self, feature):
        #python wrapper for 'gst_caps_features_add_static_str'

Adds feature to features.

feature needs to be valid for the remaining lifetime of the process, e.g. has to be a static string.

Parameters:

`features` (Gst.CapsFeatures) –

a Gst.CapsFeatures.

`feature` (str) –

a feature.

Since : 1.26

#### gst_caps_features_contains

    gboolean
    gst_caps_features_contains (const GstCapsFeatures * features,
                                const gchar * feature)

Checks if features contains feature.

Parameters:

`features` –

a GstCapsFeatures.

`feature` –

a feature

Returns –

TRUE if features contains feature.

Since : 1.2

#### Gst.CapsFeatures.prototype.contains

    function Gst.CapsFeatures.prototype.contains(feature: String): {
        // javascript wrapper for 'gst_caps_features_contains'
    }

Checks if features contains feature.

Parameters:

`features` (Gst.CapsFeatures) –

a Gst.CapsFeatures.

`feature` (String) –

a feature

Returns (Number) –

true if features contains feature.

Since : 1.2

#### Gst.CapsFeatures.contains

    def Gst.CapsFeatures.contains (self, feature):
        #python wrapper for 'gst_caps_features_contains'

Checks if features contains feature.

Parameters:

`features` (Gst.CapsFeatures) –

a Gst.CapsFeatures.

`feature` (str) –

a feature

Returns (bool) –

True if features contains feature.

Since : 1.2

#### gst_caps_features_contains_id

    gboolean
    gst_caps_features_contains_id (const GstCapsFeatures * features,
                                   GQuark feature)

Checks if features contains feature.

Parameters:

`features` –

a GstCapsFeatures.

`feature` –

a feature

Returns –

TRUE if features contains feature.

Since : 1.2

deprecated : 1.26: Use gst_caps_features_contains_id_str().

#### Gst.CapsFeatures.prototype.contains_id

    function Gst.CapsFeatures.prototype.contains_id(feature: GLib.Quark): {
        // javascript wrapper for 'gst_caps_features_contains_id'
    }

Checks if features contains feature.

Parameters:

`features` (Gst.CapsFeatures) –

a Gst.CapsFeatures.

`feature` (GLib.Quark) –

a feature

Returns (Number) –

true if features contains feature.

Since : 1.2

deprecated : 1.26: Use gst_caps_features_contains_id_str().

#### Gst.CapsFeatures.contains_id

    def Gst.CapsFeatures.contains_id (self, feature):
        #python wrapper for 'gst_caps_features_contains_id'

Checks if features contains feature.

Parameters:

`features` (Gst.CapsFeatures) –

a Gst.CapsFeatures.

`feature` (GLib.Quark) –

a feature

Returns (bool) –

True if features contains feature.

Since : 1.2

deprecated : 1.26: Use gst_caps_features_contains_id_str().

#### gst_caps_features_contains_id_str

    gboolean
    gst_caps_features_contains_id_str (const GstCapsFeatures * features,
                                       const GstIdStr * feature)

Checks if features contains feature.

Parameters:

`features` –

a GstCapsFeatures.

`feature` –

a feature

Returns –

TRUE if features contains feature.

Since : 1.26

#### Gst.CapsFeatures.prototype.contains_id_str

    function Gst.CapsFeatures.prototype.contains_id_str(feature: Gst.IdStr): {
        // javascript wrapper for 'gst_caps_features_contains_id_str'
    }

Checks if features contains feature.

Parameters:

`features` (Gst.CapsFeatures) –

a Gst.CapsFeatures.

`feature` (Gst.IdStr) –

a feature

Returns (Number) –

true if features contains feature.

Since : 1.26

#### Gst.CapsFeatures.contains_id_str

    def Gst.CapsFeatures.contains_id_str (self, feature):
        #python wrapper for 'gst_caps_features_contains_id_str'

Checks if features contains feature.

Parameters:

`features` (Gst.CapsFeatures) –

a Gst.CapsFeatures.

`feature` (Gst.IdStr) –

a feature

Returns (bool) –

True if features contains feature.

Since : 1.26

#### gst_caps_features_copy

    GstCapsFeatures *
    gst_caps_features_copy (const GstCapsFeatures * features)

Duplicates a GstCapsFeatures and all its values.

Parameters:

`features` –

a GstCapsFeatures to duplicate

Returns ( [transfer: full]) –

a new GstCapsFeatures.

Since : 1.2

#### Gst.CapsFeatures.prototype.copy

    function Gst.CapsFeatures.prototype.copy(): {
        // javascript wrapper for 'gst_caps_features_copy'
    }

Duplicates a Gst.CapsFeatures and all its values.

Parameters:

`features` (Gst.CapsFeatures) –

a Gst.CapsFeatures to duplicate

Returns (Gst.CapsFeatures) –

a new Gst.CapsFeatures.

Since : 1.2

#### Gst.CapsFeatures.copy

    def Gst.CapsFeatures.copy (self):
        #python wrapper for 'gst_caps_features_copy'

Duplicates a Gst.CapsFeatures and all its values.

Parameters:

`features` (Gst.CapsFeatures) –

a Gst.CapsFeatures to duplicate

Returns (Gst.CapsFeatures) –

a new Gst.CapsFeatures.

Since : 1.2

#### gst_caps_features_free

    gst_caps_features_free (GstCapsFeatures * features)

Frees a GstCapsFeatures and all its values. The caps features must not have a parent when this function is called.

Parameters:

`features` ( [in][transfer: full]) –

the GstCapsFeatures to free

Since : 1.2

#### Gst.CapsFeatures.prototype.free

    function Gst.CapsFeatures.prototype.free(): {
        // javascript wrapper for 'gst_caps_features_free'
    }

Frees a Gst.CapsFeatures and all its values. The caps features must not have a parent when this function is called.

Parameters:

`features` (Gst.CapsFeatures) –

the Gst.CapsFeatures to free

Since : 1.2

#### Gst.CapsFeatures.free

    def Gst.CapsFeatures.free (self):
        #python wrapper for 'gst_caps_features_free'

Frees a Gst.CapsFeatures and all its values. The caps features must not have a parent when this function is called.

Parameters:

`features` (Gst.CapsFeatures) –

the Gst.CapsFeatures to free

Since : 1.2

#### gst_caps_features_get_nth

    const gchar *
    gst_caps_features_get_nth (const GstCapsFeatures * features,
                               guint i)

Returns the i-th feature of features.

Parameters:

`features` –

a GstCapsFeatures.

`i` –

index of the feature

Returns ( [nullable]) –

The i-th feature of features.

Since : 1.2

#### Gst.CapsFeatures.prototype.get_nth

    function Gst.CapsFeatures.prototype.get_nth(i: Number): {
        // javascript wrapper for 'gst_caps_features_get_nth'
    }

Returns the i-th feature of features.

Parameters:

`features` (Gst.CapsFeatures) –

a Gst.CapsFeatures.

`i` (Number) –

index of the feature

Returns (String) –

The i-th feature of features.

Since : 1.2

#### Gst.CapsFeatures.get_nth

    def Gst.CapsFeatures.get_nth (self, i):
        #python wrapper for 'gst_caps_features_get_nth'

Returns the i-th feature of features.

Parameters:

`features` (Gst.CapsFeatures) –

a Gst.CapsFeatures.

`i` (int) –

index of the feature

Returns (str) –

The i-th feature of features.

Since : 1.2

#### gst_caps_features_get_nth_id

    GQuark
    gst_caps_features_get_nth_id (const GstCapsFeatures * features,
                                  guint i)

Returns the i-th feature of features.

Parameters:

`features` –

a GstCapsFeatures.

`i` –

index of the feature

Returns –

The i-th feature of features.

Since : 1.2

deprecated : 1.26: Use gst_caps_features_get_nth_id_str().

#### Gst.CapsFeatures.prototype.get_nth_id

    function Gst.CapsFeatures.prototype.get_nth_id(i: Number): {
        // javascript wrapper for 'gst_caps_features_get_nth_id'
    }

Returns the i-th feature of features.

Parameters:

`features` (Gst.CapsFeatures) –

a Gst.CapsFeatures.

`i` (Number) –

index of the feature

Returns (GLib.Quark) –

The i-th feature of features.

Since : 1.2

deprecated : 1.26: Use gst_caps_features_get_nth_id_str().

#### Gst.CapsFeatures.get_nth_id

    def Gst.CapsFeatures.get_nth_id (self, i):
        #python wrapper for 'gst_caps_features_get_nth_id'

Returns the i-th feature of features.

Parameters:

`features` (Gst.CapsFeatures) –

a Gst.CapsFeatures.

`i` (int) –

index of the feature

Returns (GLib.Quark) –

The i-th feature of features.

Since : 1.2

deprecated : 1.26: Use gst_caps_features_get_nth_id_str().

#### gst_caps_features_get_nth_id_str

    const GstIdStr *
    gst_caps_features_get_nth_id_str (const GstCapsFeatures * features,
                                      guint i)

Returns the i-th feature of features.

Parameters:

`features` –

a GstCapsFeatures.

`i` –

index of the feature

Returns –

The i-th feature of features.

Since : 1.26

#### Gst.CapsFeatures.prototype.get_nth_id_str

    function Gst.CapsFeatures.prototype.get_nth_id_str(i: Number): {
        // javascript wrapper for 'gst_caps_features_get_nth_id_str'
    }

Returns the i-th feature of features.

Parameters:

`features` (Gst.CapsFeatures) –

a Gst.CapsFeatures.

`i` (Number) –

index of the feature

Returns (Gst.IdStr) –

The i-th feature of features.

Since : 1.26

#### Gst.CapsFeatures.get_nth_id_str

    def Gst.CapsFeatures.get_nth_id_str (self, i):
        #python wrapper for 'gst_caps_features_get_nth_id_str'

Returns the i-th feature of features.

Parameters:

`features` (Gst.CapsFeatures) –

a Gst.CapsFeatures.

`i` (int) –

index of the feature

Returns (Gst.IdStr) –

The i-th feature of features.

Since : 1.26

#### gst_caps_features_get_size

    guint
    gst_caps_features_get_size (const GstCapsFeatures * features)

Returns the number of features in features.

Parameters:

`features` –

a GstCapsFeatures.

Returns –

The number of features in features.

Since : 1.2

#### Gst.CapsFeatures.prototype.get_size

    function Gst.CapsFeatures.prototype.get_size(): {
        // javascript wrapper for 'gst_caps_features_get_size'
    }

Returns the number of features in features.

Parameters:

`features` (Gst.CapsFeatures) –

a Gst.CapsFeatures.

Returns (Number) –

The number of features in features.

Since : 1.2

#### Gst.CapsFeatures.get_size

    def Gst.CapsFeatures.get_size (self):
        #python wrapper for 'gst_caps_features_get_size'

Returns the number of features in features.

Parameters:

`features` (Gst.CapsFeatures) –

a Gst.CapsFeatures.

Returns (int) –

The number of features in features.

Since : 1.2

#### gst_caps_features_is_any

    gboolean
    gst_caps_features_is_any (const GstCapsFeatures * features)

Checks if features is GST_CAPS_FEATURES_ANY.

Parameters:

`features` –

a GstCapsFeatures.

Returns –

TRUE if features is GST_CAPS_FEATURES_ANY.

Since : 1.2

#### Gst.CapsFeatures.prototype.is_any

    function Gst.CapsFeatures.prototype.is_any(): {
        // javascript wrapper for 'gst_caps_features_is_any'
    }

Checks if features is GST_CAPS_FEATURES_ANY (not introspectable).

Parameters:

`features` (Gst.CapsFeatures) –

a Gst.CapsFeatures.

Returns (Number) –

true if features is GST_CAPS_FEATURES_ANY (not introspectable).

Since : 1.2

#### Gst.CapsFeatures.is_any

    def Gst.CapsFeatures.is_any (self):
        #python wrapper for 'gst_caps_features_is_any'

Checks if features is GST_CAPS_FEATURES_ANY (not introspectable).

Parameters:

`features` (Gst.CapsFeatures) –

a Gst.CapsFeatures.

Returns (bool) –

True if features is GST_CAPS_FEATURES_ANY (not introspectable).

Since : 1.2

#### gst_caps_features_is_equal

    gboolean
    gst_caps_features_is_equal (const GstCapsFeatures * features1,
                                const GstCapsFeatures * features2)

Checks if features1 and features2 are equal.

Parameters:

`features1` –

a GstCapsFeatures.

`features2` –

a GstCapsFeatures.

Returns –

TRUE if features1 and features2 are equal.

Since : 1.2

#### Gst.CapsFeatures.prototype.is_equal

    function Gst.CapsFeatures.prototype.is_equal(features2: Gst.CapsFeatures): {
        // javascript wrapper for 'gst_caps_features_is_equal'
    }

Checks if features1 and features2 are equal.

Parameters:

`features1` (Gst.CapsFeatures) –

a Gst.CapsFeatures.

`features2` (Gst.CapsFeatures) –

a Gst.CapsFeatures.

Returns (Number) –

true if features1 and features2 are equal.

Since : 1.2

#### Gst.CapsFeatures.is_equal

    def Gst.CapsFeatures.is_equal (self, features2):
        #python wrapper for 'gst_caps_features_is_equal'

Checks if features1 and features2 are equal.

Parameters:

`features1` (Gst.CapsFeatures) –

a Gst.CapsFeatures.

`features2` (Gst.CapsFeatures) –

a Gst.CapsFeatures.

Returns (bool) –

True if features1 and features2 are equal.

Since : 1.2

#### gst_caps_features_remove

    gst_caps_features_remove (GstCapsFeatures * features,
                              const gchar * feature)

Removes feature from features.

Parameters:

`features` –

a GstCapsFeatures.

`feature` –

a feature.

Since : 1.2

#### Gst.CapsFeatures.prototype.remove

    function Gst.CapsFeatures.prototype.remove(feature: String): {
        // javascript wrapper for 'gst_caps_features_remove'
    }

Removes feature from features.

Parameters:

`features` (Gst.CapsFeatures) –

a Gst.CapsFeatures.

`feature` (String) –

a feature.

Since : 1.2

#### Gst.CapsFeatures.remove

    def Gst.CapsFeatures.remove (self, feature):
        #python wrapper for 'gst_caps_features_remove'

Removes feature from features.

Parameters:

`features` (Gst.CapsFeatures) –

a Gst.CapsFeatures.

`feature` (str) –

a feature.

Since : 1.2

#### gst_caps_features_remove_id

    gst_caps_features_remove_id (GstCapsFeatures * features,
                                 GQuark feature)

Removes feature from features.

Parameters:

`features` –

a GstCapsFeatures.

`feature` –

a feature.

Since : 1.2

deprecated : 1.26: Use gst_caps_features_remove_id_str().

#### Gst.CapsFeatures.prototype.remove_id

    function Gst.CapsFeatures.prototype.remove_id(feature: GLib.Quark): {
        // javascript wrapper for 'gst_caps_features_remove_id'
    }

Removes feature from features.

Parameters:

`features` (Gst.CapsFeatures) –

a Gst.CapsFeatures.

`feature` (GLib.Quark) –

a feature.

Since : 1.2

deprecated : 1.26: Use gst_caps_features_remove_id_str().

#### Gst.CapsFeatures.remove_id

    def Gst.CapsFeatures.remove_id (self, feature):
        #python wrapper for 'gst_caps_features_remove_id'

Removes feature from features.

Parameters:

`features` (Gst.CapsFeatures) –

a Gst.CapsFeatures.

`feature` (GLib.Quark) –

a feature.

Since : 1.2

deprecated : 1.26: Use gst_caps_features_remove_id_str().

#### gst_caps_features_remove_id_str

    gst_caps_features_remove_id_str (GstCapsFeatures * features,
                                     const GstIdStr * feature)

Removes feature from features.

Parameters:

`features` –

a GstCapsFeatures.

`feature` –

a feature.

Since : 1.26

#### Gst.CapsFeatures.prototype.remove_id_str

    function Gst.CapsFeatures.prototype.remove_id_str(feature: Gst.IdStr): {
        // javascript wrapper for 'gst_caps_features_remove_id_str'
    }

Removes feature from features.

Parameters:

`features` (Gst.CapsFeatures) –

a Gst.CapsFeatures.

`feature` (Gst.IdStr) –

a feature.

Since : 1.26

#### Gst.CapsFeatures.remove_id_str

    def Gst.CapsFeatures.remove_id_str (self, feature):
        #python wrapper for 'gst_caps_features_remove_id_str'

Removes feature from features.

Parameters:

`features` (Gst.CapsFeatures) –

a Gst.CapsFeatures.

`feature` (Gst.IdStr) –

a feature.

Since : 1.26

#### gst_caps_features_set_parent_refcount

    gboolean
    gst_caps_features_set_parent_refcount (GstCapsFeatures * features,
                                           gint * refcount)

Sets the parent_refcount field of GstCapsFeatures. This field is used to determine whether a caps features is mutable or not. This function should only be called by code implementing parent objects of GstCapsFeatures, as described in the MT refcounting design document.

Parameters:

`features` –

a GstCapsFeatures

`refcount` ( [type gpointer][nullable]) –

a pointer to the parent's refcount

Returns –

TRUE if the parent refcount could be set.

Since : 1.2

#### gst_caps_features_to_string

    gchar *
    gst_caps_features_to_string (const GstCapsFeatures * features)

Converts features to a human-readable string representation.

For debugging purposes its easier to do something like this:

    GST_LOG ("features is %" GST_PTR_FORMAT, features);

This prints the features in human readable form.

Parameters:

`features` –

a GstCapsFeatures

Returns ( [transfer: full]) –

a pointer to string allocated by g_malloc.

Since : 1.2

#### Gst.CapsFeatures.prototype.to_string

    function Gst.CapsFeatures.prototype.to_string(): {
        // javascript wrapper for 'gst_caps_features_to_string'
    }

Converts features to a human-readable string representation.

For debugging purposes its easier to do something like this:

    GST_LOG ("features is %" GST_PTR_FORMAT, features);

This prints the features in human readable form.

Parameters:

`features` (Gst.CapsFeatures) –

a Gst.CapsFeatures

Returns (String) –

a pointer to string allocated by GLib.prototype.malloc.

Since : 1.2

#### Gst.CapsFeatures.to_string

    def Gst.CapsFeatures.to_string (self):
        #python wrapper for 'gst_caps_features_to_string'

Converts features to a human-readable string representation.

For debugging purposes its easier to do something like this:

    GST_LOG ("features is %" GST_PTR_FORMAT, features);

This prints the features in human readable form.

Parameters:

`features` (Gst.CapsFeatures) –

a Gst.CapsFeatures

Returns (str) –

a pointer to string allocated by GLib.malloc.

Since : 1.2

### Functions

#### gst_caps_features_from_string

    GstCapsFeatures *
    gst_caps_features_from_string (const gchar * features)

Creates a GstCapsFeatures from a string representation.

Parameters:

`features` –

a string representation of a GstCapsFeatures.

Returns ( [transfer: full][nullable]) –

a new GstCapsFeatures or NULL when the string could not be parsed.

Since : 1.2

#### Gst.prototype.caps_features_from_string

    function Gst.prototype.caps_features_from_string(features: String): {
        // javascript wrapper for 'gst_caps_features_from_string'
    }

Creates a Gst.CapsFeatures from a string representation.

Parameters:

`features` (String) –

a string representation of a Gst.CapsFeatures.

Returns (Gst.CapsFeatures) –

a new Gst.CapsFeatures or null when the string could not be parsed.

Since : 1.2

#### Gst.caps_features_from_string

    def Gst.caps_features_from_string (features):
        #python wrapper for 'gst_caps_features_from_string'

Creates a Gst.CapsFeatures from a string representation.

Parameters:

`features` (str) –

a string representation of a Gst.CapsFeatures.

Returns (Gst.CapsFeatures) –

a new Gst.CapsFeatures or None when the string could not be parsed.

Since : 1.2

## Functions

### gst_is_caps_features

    gboolean
    gst_is_caps_features (gconstpointer obj)

Checks if obj is a GstCapsFeatures

Parameters:

`obj` –
No description available
Returns –

TRUE if obj is a GstCapsFeatures FALSE otherwise

### Gst.prototype.is_caps_features

    function Gst.prototype.is_caps_features(obj: Object): {
        // javascript wrapper for 'gst_is_caps_features'
    }

Checks if obj is a Gst.CapsFeatures

Parameters:

`obj` (Object) –
No description available
Returns (Number) –

true if obj is a Gst.CapsFeatures false otherwise

### Gst.is_caps_features

    def Gst.is_caps_features (obj):
        #python wrapper for 'gst_is_caps_features'

Checks if obj is a Gst.CapsFeatures

Parameters:

`obj` (object) –
No description available
Returns (bool) –

True if obj is a Gst.CapsFeatures False otherwise

## Function Macros

### GST_CAPS_FEATURES_CAST

    #define GST_CAPS_FEATURES_CAST(object)     ((GstCapsFeatures *)(object))

## Constants

### GST_CAPS_FEATURES_ANY

    #define GST_CAPS_FEATURES_ANY (_gst_caps_features_any)

### GST_CAPS_FEATURES_MEMORY_SYSTEM_MEMORY

    #define GST_CAPS_FEATURES_MEMORY_SYSTEM_MEMORY (_gst_caps_features_memory_system_memory)

### GST_CAPS_FEATURE_MEMORY_SYSTEM_MEMORY

    #define GST_CAPS_FEATURE_MEMORY_SYSTEM_MEMORY "memory:SystemMemory"

### Gst.CAPS_FEATURE_MEMORY_SYSTEM_MEMORY

The results of the search are